<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}">
<link rel="stylesheet" th:href="@{/css/main.css}">
<script th:src="@{/js/bootstrap.min.js}"></script>
<head>
    <meta charset="UTF-8">
    <title>Home Page</title>
</head>
<body>
<body>
<div class="container">
    <div class="row">
        <div class="col-sm">
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Five random artists:</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="a: ${artists}">
                    <td th:text="${a.getName()}"></td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="col-sm">
            <div class="col-sm">
                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col">Five random songs:</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="s: ${songs}">
                        <td th:text="${s.getName()}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-sm">
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Five random genres:</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="g: ${genres}">
                    <td th:text="${g.getName()}"></td>
                </tr>
                </tbody>
            </table>
        </div>
        <form th:action="@{/}" th:object="${songSearch}" method="post">
            <div class="form-group">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" id="name" placeholder="Enter a song to be searched..."
                           aria-label="Enter a song to be searched..." aria-describedby="button-addon2"
                    th:field="*{name}" required>
                    <button class="btn btn-outline-secondary btn-success text-white" type="submit" id="button-addon2">Button</button>
                </div>
            </div>
        </form>
    </div>
</div>
</body>
</html>